package com.diss.omppapp.repositories;

import com.diss.omppapp.entities.AnswerEntity;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface AnswerEntityRepository extends CrudRepository<AnswerEntity, Integer> {
    Optional<List<AnswerEntity>> findAllByUsernameAndSubmitted(String username, Boolean submitted);
    Optional<List<AnswerEntity>> findAllByPaperIdOrderByAnswerIdAsc(int paperId);
}
